﻿namespace Otus.Teaching.Concurrency.Import.Loader
{
    public class DbCreator
    {
        private readonly string _connectionString;
        public DbCreator(string connectionString)
        {
            _connectionString = connectionString;
        }

        public void createDB()
        {
            var conn = new Npgsql.NpgsqlConnection(_connectionString);
            conn.Open();
            var cmd = conn.CreateCommand();
            cmd.CommandText = "DROP TABLE IF EXISTS customers";
            cmd.ExecuteNonQuery();
            cmd.CommandText = @"CREATE TABLE customers (
               id           INTEGER PRIMARY KEY GENERATED BY DEFAULT AS IDENTITY,
               fname        VARCHAR(256),
               email        VARCHAR(256) ,
               phone        VARCHAR(128)
            )";
            cmd.ExecuteNonQuery();
            conn.Close();
        }
    }
}
